package ink.wgink.register.base.service;

import ink.wgink.register.base.pojo.vos.RegisterDefaultVO;
import ink.wgink.register.base.pojo.vos.RegisterPhoneVO;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRegisterService
 * @Description: 注册
 * @Author: wanggeng
 * @Date: 2021/5/1 10:33 上午
 * @Version: 1.0
 */
public interface IRegisterService {

    /**
     * 默认，用户名密码注册
     *
     * @param registerDefaultVO
     * @throws Exception
     */
    void defaultRegister(RegisterDefaultVO registerDefaultVO) throws Exception;

    /**
     * 手机注册
     *
     * @param registerPhoneVO
     * @throws Exception
     */
    void phoneRegister(RegisterPhoneVO registerPhoneVO) throws Exception;
}
